Using PC-DMIS Laser

Introduction:

Getting Started

Setup and Calibration of a Laser Probe

Using t he Laser Probe Toolbox

L ive View tab

Using the Cloud of Point Edit Window Commands

Manipulating Clouds of Points

M anipulating a Pointcloud Operator

Aligning Clouds of Points to the CAD

Creating Auto Features with a Laser Probe

Scanning Your Part Using a Laser Probe


Introduction: PC-DMIS Laser

PC-DMIS Laser: Introduction

PC-DMIS can be used in combination with your laser probe to measure features on a part or to collect data. Laser probes allow you to easily collect millions of points of data (called clouds of points). These clouds of points are then used within PC-DMIS for surface contour maps, export to reverse engineering packages and creation of constructed features. This help file discusses how to use PC-DMIS with a non-contact laser probe to collect and interpret those clouds of points.

PC-DMIS Laser only functions with PC-DMIS Version 4.0 and above.

  • Getting Started

  • Setup and Calibration of a Laser Probe

  • Using the Laser Probe Toolbox

  • Using the Cloud of Point Edit Window Commands

  • Manipulating Clouds of Points

  • Aligning Clouds of Points to the CAD

  • Creating Auto Features with a Laser Probe

  • Scanning Your Part Using a Laser Probe

This manual only covers PC-DMIS as far as it relates to laser probing. For in-depth information on the various aspects of the entire PC-DMIS user interface, consult your PC-DMIS Reference Manual.


Getting Started

Before getting into the details of non-contact laser sensors, you need to understand their attributes in order to improve the results obtained when using them for measurement. Laser probes are excellent at gathering large amounts of data quickly. They are also good for measuring parts that may otherwise deform under the pressure of a tactile probe.

However, keep in mind that measurements taken with laser sensors are influenced by other factors such as sunlight, surface finish, surface reflectivity, and surface color. In order to compensate for some of these factors, filters can be applied to the data to handle the influence. But you should understand how and why these items affect the results.

It will take some time and experience working with your particular parts and in your specific environment to determine what settings will work best for you. You should experiment with the capabilities of your specific sensor to improve the results of measurements.

Remember that you are working with a Laser sensor. Consult your probe documentation for safety issues and procedures for a safe work environment.


Setup and Calibration of a Laser Probe

To get PC-DMIS running with your laser probe, follow these steps:

  • Step 1: Setup the Laser Probe and Launch PC-DMIS

  • Step 2: Define Setup Options for the Laser Sensor

  • Step 3: Define the Laser Probe

  • Step 4: Set Calibration Options

  • Step 5: Calibrate the Laser Probe

  • Step 6: Check the Calibration Results


Step 1: Setup the Laser Probe and Launch PC-DMIS

  1. Ensure that the machine running the laser probe is properly setup and configured according to your machine’s specifications. Follow the documentation that came with your laser probe to properly connect the hardware.

  2. Install PC-DMIS. Your port lock must be configured to support laser probing. It must also specify the probe type that you are running. Please contact your PC-DMIS software distributor if this has not been properly configured.

  3. Start PC-DMIS in online mode.

  4. Open an existing part program, or create a new one. If you create a new part program the Probe Utilities dialog box appears.

Note: Installation of drivers, etc. should be managed by the PC-DMIS installer.

Next Step ...


Step 2: Define Setup Options for the Laser Sensor

  1. If you see the Probe Utilities dialog box, close it down.

  2. Open the Setup Options dialog box (Click F5 or select Edit | Preferences | Setup).

  3. Select the Laser Sensor tab. This tab will vary, depending on the type of Probe that is specified in the port lock configuration. Specific information is provided for the following Probe Types:

  • Perceptron Probe

  • Metris Probes

Next Step ...


Step 3: Define the Laser Probe

  1. To create a new probe file with your laser sensor, access the Display Menu Roadmap Insert | Hardware Definition | Probe menu option. The Probe Utilities dialog box appears. (This dialog will automatically appear whenever you create a new part program.)

Probe Utilities dialog box

  2. Define a probe configuration that uses your probe inside the Probe Utilities dialog box. Most sensors connect directly to the PH10M probe head. Verify that the joint angles are properly adjusted for visual purposes. Otherwise, PC-DMIS can't properly correlate the sensor’s data to the machine position. This is common when using continuous type wrists with a C joint. For specific information on defining probes, see the "Defining Hardware" section in the main PC-DMIS help file.

Next Step ...


Step 4: Set Calibration Options

  1. Click the Measure button to bring up the Measure Laser Probe dialog box.

Measure Laser Probe dialog box

  2. Select your machine Motion type:

  • Man - Manual mode is only used by arm type machines. This will require that you manually position the arm in several different locations. This will vary depending on the sensor manufacturer.

  • DCC - DCC mode is used when the laser sensor has accurate offsets provided by the sensor manufacturer or if you have already run the calibrate “offset” routine. This will move the machine through a series of positions as recommended by the sensor manufacturer

  • Man+DCC - This mode is similar to DCC except that you will be required to position the sensor over the sphere in order to begin the calibration sequence. You will be prompted by the application to position the sphere at the beginning of the calibration process.

  3. Select the Type of Calibration Operation:

  • Tips - This option is used to do a standard calibration or all marked tips for your laser probe.

  • Offset - This option is used when the sensor manufacturer does not send accurate offsets with your specific sensor. Perceptron is one of these types.

  • Sensor - This option is used to recalibrate the CCD of the camera inside the sensor. This is used mostly with sensors that have moving parts like Metris.

  • Continuous Wrist - This option is used for calibrating sensors on manual arm machines.

  4. Select the Default Mode or User Defined from the Operation Mode area and specify the associated options:

  • Number or Stripes per Quadrant - Each sensor requires a minimum number of stripes in every quadrant. However you are not limited to that number. You can specify more than the minimum if you prefer.

  • Frequency - If your sensor allows control of the frequency, you can specify this here. This functionality is only useful for manual arm machines.

  • Sphere Area [%] - You can indicate the percentage of the sphere you want to cover. The general recommendation is 70%

  • Move Speed [%] - Percentage of the maximum machine speed that will be used during the qualification process.

  5. Parameter Sets - Allows you to create, save, and use saved sets for your Laser probe. This information is saved as part of the probe file and includes the settings for your Laser probe.

To create your own named parameter sets:

    1. Modify any parameters on the Measure Laser Probe dialog box.

    2. From the Parameter Sets area, type a name for the new parameter set in the Name box and click Save. PC-DMIS displays a message telling you that your new parameter set has been created. You can easily delete a saved parameter set by selecting it and clicking Delete.

  6. Select the appropriate Calibration Tool. If this is your first time calibrating, you will need to first define the tool first by selecting Add Tool. For specific information on defining a qualification tool, see the "Defining Hardware" section in the main PC-DMIS help file.

Important: Make sure you use the spherical qualification tool provided with your laser probe when you calibrate it. The surface characteristics of this tool are designed for optimal scanning results. Using a tool made by another manufacture may produce inaccurate data.

Next Step ...


Step 5: Calibrate the Laser Probe

Click Measure to begin the calibration procedure. Follow any on-screen instructions.

The first several prompts that you see are identical to the setup procedure for touch trigger probes. A prompt then appears asking you to bisect the calibration sphere and position it in the center of the keystone.

PC-DMIS Message

To do this:

  1. Leave the PC-DMIS Message open.

  2. Switch to the Live View tab on the main Graphics Display Window.

  3. Click the On/Off button. This turns on the laser. A flashing red arc appears in the graphic area of the Live View tab and a green crosshair. The red arc is where the laser hits the calibration sphere.

  4. Center the cross hair inside the circular region formed by the arc by moving the machine with the jog box. The red arc moves as you move the machine. If you imagine that the flashing arc indicates the edge of a circle, the center point of this imaginary circle should optically align with the center of the cross hair.

Aligning the arc

  6. Once you have aligned the arc, click the On/Off button again. This turns off the laser.

  7. Click OK on the PC-DMIS Message to accept the change you made of aligning the arc. PC-DMIS stays in Execute mode and the laser sensor moves through a series of defined positions used to calibrate your tip.

  8. At each position the laser beam hits the sphere in a stripe and the laser sensor collects the data from that stripe. The collected data and the corresponding machine position determine the sensor’s mounting orientation on the machine.

  9. Once execution finishes PC-DMIS returns to learn mode and shows the Probe Utilities dialog box.

Next Step ...


Step 6: Check the Calibration Results

Click on the Results button in the Probe Utilities dialog box. The Calibration Results dialog box appears.

Calibration Results

PC-DMIS records several things from the calibration in this dialog box. Take a look at the maximum, average, and standard deviation values. The maximum should be somewhere between 20 to 100 microns. The average and the standard deviation should be around 20 microns.

If things look correct, click the OK button to close down the Calibration Results dialog box.

You are now done setting up and calibrating your laser probe. You should now have access to all laser-related functionality.


Using the Laser Probe Toolbox:

Probe Toolbox with the laser probe related tabs

The Display Menu Roadmap View | Probe Toolbox menu option displays the Probe Toolbox. The Probe Toolbox contains various laser probe parameters used to acquire the data points needed by a part program.

Important: Your portlock must be programmed with the Laser option and you must be working with a supported laser probe in order to access the various PC-DMIS Laser related tabs in the toolbox.

The Probe Toolbox contains the laser parameters within these tabs:

  • Position Probe

  • Laser Scan Properties

  • Laser Filtering Properties

  • Laser Pixel Locator Properties

  • Laser Clipping Region Properties

The list above shows all possible Probe Toolbox tabs. The tabs available will depend on the sensor that you have on your system. If capabilities for a tab do not apply to your specific sensor, then that tab will not be available.


Laser Probe Toolbox: Position Probe tab

Define Nominals tab

The Position Probe tab allows you to select the current probe file and tip. It also displays the current probe location in the active alignment coordinates. You can double click the X, Y or Z values to edit them.

Be aware that if you edit the current probe location it will move the machine to the new coordinate. Use caution when using this capability because it will move your machinery without any notice.

If you don't see any information in the Probes and Probe Tips lists of the Probe Toolbox, you need to first define a probe. see the "Defining Hardware" section in the main PC-DMIS help file on how to do this.

While you can use this tab with all probe types (contact, laser, or optical), this help file only covers PC-DMIS Laser related items. For information about the toolbox as it relates to probes in general, see the "Using the Probe Toolbox" section in the main PC-DMIS help file.

More:

To Position Your Laser Probe

Using the Probe Readout window with Laser Probes

Laser Controls for Position Probe tab


To Position Your Laser Probe

  1. Click the Lock icon [image] for any axis that you would like to restrict movement.

  2. Adjust the Increment Value in the Increment edit box [image] to specify the amount that the Current Position edit box will be increased or decreased.

  3. Click the Up and Down arrows to change the value in the Current Position edit box [image]. This will cause your Laser Probe to move in real time by the specified value. Alternately, you may type the value and hit enter to cause your Laser Probe to move.


Using the Probe Readout window with Laser Probes

Clicking the Probe Readout icon displays the Probe Readout window. You can easily resize or relocate this window.

Most information on the Probe Readout window is the same for all probe types and is already discussed in the "Using the Probe Readout Window“ topic of the "Using Other Windows, Editors, and Tools" section in the main PC-DMIS help file.


Laser Controls for Position Probe tab

The Position Probe tab provides a few additional controls:

Readouts Mode | This mode will cause the probe position to be updated to the Probe Readout window. You will not be able to take hits in this mode.
Hits Mode | Activating Hits Mode will allow you to take hits. However the Probe Readout window will not be updated.
Toggle Laser On / Off | This toggle button turns the laser on and off. It is only available for laser probes.

Note: Some interfaces require that you toggle between Readouts and Hits Modes since these modes must operate exclusively from each other. This is due to the operation of these interfaces being in either a receiving state (Hits Mode - waiting for a hit signal) or a sending state (Readouts Mode - sending probe location data to the Probe Readout window. An LK-RS232 interface is an example of this type of interface.


Laser Probe Toolbox: Laser Scan Properties tab

Laser Scan Properties tab

The Laser Scan Properties tab defines how data from the scan will be acquired.

The Properties for this tab are:

  • Sensor Frequency

  • Row Overlap

  • Overscan

  • Exposure

  • Defaults Button


Sensor Frequency

This parameter controls the internal sensor frequency of the probe. The value that is displayed is sensor pulses per second. For sensors with variable frequency capabilities, the higher the frequency, the more data you will get. It is important to understand that more data is not always better. With variable frequency scanners you should use a frequency in the middle of the supported range. This is a good balance between speed and accuracy.


Row Overlap

If the feature or patch scan is larger than the width of the scan line, multiple passes of the probe will be taken. In that case, this parameter controls how far each pass will overlap the previous pass. The default value is 1.0 mm.


Overscan

This parameter controls how far beyond the nominal feature’s dimensions the probe will scan along both the major and minor axis of the feature. The default value is 2.0 mm. If you are measuring features whose actual location may vary significantly from their theoretical values, you will need to increase this value in order to ensure that PC-DMIS measures the entire feature.


Exposure

This parameter controls the exposure of the sensor. Values range from 0 to 15 with zero being the default. Zero will work well for most parts, but parts which absorb a lot of light (such as a black anodized surface) may require that the value be set higher. Don’t set the value higher unless it is needed; doing so, may result in less accurate measurements.


Defaults Button

The Defaults button allows you to reset the values of the parameters to the recommended values. The default values are indicated above.


Laser Probe Toolbox: Laser Filtering Properties tab

Laser Filtering Properties tab

The Filtering tab is useful when you want to filter the data as it is collected. The following filtering options are available from the list:

  • None

  • Long Line

  • Median

  • Weighted Average

  • Inline


Filter Type: None

Filtering will not take place if you select None.


Filter Type: Long Line

Long Line Filter Type

The Long Line filter finds the longest continuous line or stripe of data in the image and rejects the rest of the data. The laser stripe may be broken up due to the geometry of the part being measured. This filter finds the longest unbroken line. This is often used with sphere measurements. A section of the strip is considered continuous based on the following parameters:

Above - This value determines the number of pixels in the image that the next pixel is allowed to rise and still be accepted as part of a continuous line. The value indicates the number of pixels above the current pixel that the filter will still use.

Below - This value determines the number of pixels in the image that the next pixel is allowed to fall and still be accepted as part of a continuous line. The value indicates the number of pixels below the current pixel that the filter will still use.

Right - This value determines the number of permissible missing pixels to the right of the current pixel and is still considered a continuous line.


Filter Type: Median

Median Filter Type

The Median filter smoothes laser stripe data by computing a new location for each pixel. For each pixel in the stripe, the median filter takes the nearest neighboring pixels, computes the median, and uses the median for the new location of the pixel.

Neighbor # - This value determines the number of total neighboring pixels considered when calculating a new location of any given pixel in a single stripe.

For example, if the number of neighbors is 9, then for each pixel in the stripe the filter will take four data points to the left and four data points to the right (for a total of 9 pixels, including the current one). It then computes the median, and uses it for the location of the current pixel.


Filter Type: Weighted Average

Weighted Average Filter Type

The Weighted Average filter smoothes stripe data by computing a new location for each pixel. For each pixel in the stripe, this filter will use a weighted average of its neighboring pixels to compute a new location. This is the default filter.

Neighbor # - This value determines the number of total pixels considered when calculating a new location of any given pixel in a single stripe.

Set Weights - This button sets the relative importance of a given pixel’s neighbor.


Filter Type: Inline

The Inline filter allows you to thin the data in the laser stripe. You specify the point density along the stripe and the data returned to PC-DMIS will automatically be filtered according to the density specified.


Laser Probe Toolbox: Laser Pixel Locator Properties tab

Laser Pixel Locator Properties tab

Only advanced users in specific situations should use the Laser Pixel Locator Properties tab.

The Laser Pixel Locator Properties tab uses various mathematical algorithms to change how the pixels comprising the stripe are accurately determined.

The algorithms operate on an image consisting of rows and columns of pixels. The laser stripe within that image illuminates a band of pixels. The pixel locator then computes the location of the true pixel in the image.

In the following pixel locator algorithms, PC-DMIS computes a surface point based on the illumination of a column of pixels in the image:

Brightest – If you select this locator type, PC-DMIS uses the brightest pixel in a column of pixels for the actual pixel. This is the most common locator type.

Fixed Threshold – If you select this locator type, PC-DMIS discards all the data below the threshold and it computes the actual pixel location as the center of gravity of the remaining pixels within the column.

Gradient – If you select this locator type, PC-DMIS computes the actual pixel location by looking at a column of pixels and finding where the slope changes direction. For each direction change PC-DMIS creates a pixel.


Laser Probe Toolbox: Laser Clipping Region Properties tab

Clipping Region tab

The Laser Clipping Region Properties tab allows you to set parameters to discard data outside a specified region, within the sensors field of view. This lets you keep only pertinent data.

Keystone: The large green trapezoid in the live view (see below) that represents the sensor’s maximum field of view. The clipping region is within this field of view.

Clipping region: The smaller green trapezoid within the sensor’s field of view.

There are four Clipping Region areas: Top, Bottom, Left, and Right.

The Top, Left, Right, and Bottom boxes can be set with values from 0 to 100 percent that allow control over the clipping region. This lets you discard data that is not needed.

When the Bottom and Left values are at 0% and the Top and Right values are at 100%, the sensor will keep all of the data collected because the clipping region is the same as the maximum field of view.

Example of clipping data using Top 85, Right 85, Left 15, and Right 15

You can use the clipping region, for example, when measuring a hole. Since you wouldn’t want data from a neighboring hole to interfere with the feature computation, you can control the area that is clipped, thereby discarding the unwanted data.


Live View tab

You will use the Live View tab during the laser probe calibration, scanning, and auto feature measurement. The Live View tab of the Graphics Display Window helps you visualize what the sensor “sees”. It shows what information will be used. Remember, any data outside the clipping region rectangle will be disregarded during the scanning process. See the screenshot in “Laser Probe Toolbox: Laser Clipping Region Properties tab” for more information.

Graphics Display Window - Live View tab

Click the Start/Stop button [image] to toggle the on or off state of the laser as viewed from the Live View. When any changes have been made in the Probe Toolbox, you will need toggle the laser state for the changes to be applied in the Live View.

Select the 1, 2 or 3 buttons [image] to specify which laser info you would like to view. This is used for the Metris XC sensor which has three lasers in each sensor.


Using the Cloud of Points Edit Window Commands

PC-DMIS uses additional, laser probe related Edit window commands that support your laser probe’s cloud of points functionality. You can insert these commands into your part program in two ways:

  • Typing them directly into the Edit window’s Command mode.

  • Selecting appropriate options from the commands’ respective dialog boxes. See “Manipulating Clouds of Points” and “Aligning Clouds of Points to the CAD” for information on using these dialog boxes.

In the Edit window commands discussed below, bolded text in the given syntax example indicates the item(s) needed to properly use that command or operation.

To insert a command directly into the Edit window’s command mode:

  1. Place the Edit window into Command mode.

  2. Type the first few letters of the command and then Click TAB. PC-DMIS automatically detects and inserts the remaining portion of the command.

To change or set a parameter in a command:

  1. Place your cursor on the command, and Click TAB or ALT + TAB to cycle through the available fields.

  2. When PC-DMIS highlights the desired parameter, Click F7 or F8 to cycle through the available parameters on the field.

  3. Click TAB to set the parameter you want.

More:

COP Command:

COPALIGN Command:

COPOPER Command:


COP Command:

The Cloud of Points command, or COP, is a container for XYZ coordinate data. The data can be input from an external file, or it can come directly from a laser sensor through the referring scan command(s). Additionally data can come from other PC-DMIS features or scans.

COP1 =COP/DATA,SIZE=0

REF,,

The COP command must precede any scan referring to it in the part program.

For example REF,SCN2 below points to the SCN2 scan and will use its data:

COP2 =COP/DATA,SIZE=0
REF,SCN2,,

You can have more than one scan refer to a COP command.


COPALIGN Command:

The COPALIGN command allows you to align clouds of points with your CAD data.

F1=COPALIGN/REFINE = NONE,n,

ROUGH ALIGNPAIR/

THEO/x,y,z,i,j,k,

MEAS/x,y,z

REF,,

n represents the number of points to be used for RANDOM and UNIFORM types and the number of points used for FACE type.

The different types of REFINE in COPALIGN commands are:

  • COPALIGN/REFINE = NONE

  • COPALIGN/REFINE = RANDOM

  • COPALIGN/REFINE = FACE

  • COPALIGN/REFINE = UNIFORM


COPALIGN/REFINE = NONE

In this no refined alignment is performed


COPALIGN/ REFINE = RANDOM

In this case n points randomly selected in the cloud of points are used to refine the alignment by projecting them on CAD and determining the best fit transformation which is then used to align the cloud of points to CAD.


COPALIGN/ REFINE = FACE

This type of refinement is done with respect to planar faces in the CAD model. Points from the cloud of points located within a certain distance from each planar face are selected and used in a way similar to the above cases.


COPALIGN/ REFINE = UNIFORM

Same as above except for the way points are selected, which in this case are selected uniformly in the cloud of points.

ROUGH ALIGNPAIR/

THEO/x,y,z,i,j,k,

MEAS/x,y,z

A set of at least 6 rough alignment pairs of points is defined/selected graphically. THEO/ represents the point on CAD and MEAS/ the corresponding point on the cloud of points. These pairs are used to determine a rough transformation between CAD and the pointcloud which will allow the cloud of points to come close enough to CAD to allow further refinements of the alignment.

REF,,

Defines the COP command to be aligned.


COPOPER Command:

The Cloud of Points Operations command, COPOPER, performs different operations on an existing COP command or COPOPER command. To specify which COPOPER or COP command you want your current COPOPER operation to act on, type the ID for command in the field immediately following the REF and the first comma. For example,

REF,COP1,

would tell your current COPOPER command to perform the operation using the COP1 command.

The available operations you can perform with the COPOPER command are:

  • NONE

  • IMPORT

  • FILTER

  • EXPORT

  • EMPTY

  • CROSS SECTION

  • COMPLEMENT

  • FACE COLORMAP

  • POINT COLORMAP

  • BOOLEAN

  • SELECT

  • RESET

  • PURGE


COPOPER/NONE

NONE: This is the default for the COPOPER command. It does not perform any operation and merely acts as a place holder until you change the NONE to a valid operation.

COPOPER1=COPOPER/NONE,SIZE=0


COPOPER/IMPORT

IMPORT: This operation can only import data stored in an XYZ file format. It gets data from the file specified in FILENAME and sends it to the COP command specified after REF,

COPOPER1=COPOPER,IMPORT,FORMAT=XYZ, FILENAME=D:/DATAIN.XYZ,SIZE=0

REF,COP1,


COPOPER/FILTER

FILTER: This operation filters data. You should specify the filter type in the filed following FILTER, and then specify the size of the cloud of points after the filter is applied in SIZE. You should also specify the COP command on which to apply the filter.

The following types of filter are allowed:

UNIFORM – will generate a subset of points distributed “regularly” in the X, Y, and Z directions. This has the same effect as a regular two dimensional grid, but because of the three directions, generates a three dimensional grid.

RANDOM – generates a subset of points randomly distributed in the cloud of points.

CURVATURE – generates a subset of points with the highest estimated curvatures, mainly around edges, vertices and highly curved areas of surfaces.

COPOPER3=COPOPER/FILTER,UNIFORM,SIZE=3000

REF,COP1,,

In the example above, if the initial size of COP1 was 10,000 points, the filter replaces the 10,000 points held in COP1 with the filtered 3,000 points, so that COP1 now holds the filtered 3,000 points for its cloud of points. PC-DMIS flags the 7000 points it didn’t use, so that you can undo the filter operation, using the COPER/RESET operation. Or if you desire, you can permanently purge the 7000 points not used using the COPOPER/PURGE operation. See “COPOPER/RESET” and “COPOPER/PURGE” for more information

For more information on FILTER see “Filter”.


COPOPER/EXPORT

EXPORT: This operation exports data into either the XYZ or IGES file format. Specify the format in FORMAT and the output filename in FILENAME and then reference the COP command holding the data. If a filter has been applied to the COP command, then the COPOPER/FILTER command should be referenced for export rather than the original COP command. For Example, REF, COPOPER1, rather than REF, COP1,.

COPOPER2=COPOPER/EXPORT,FORMAT=IGES, FILENAME=D:/DATAOUT.IGS,SIZE=0

REF,COP1,

If a filter has been applied to the COP command, then the COPOPER/FILTER command should be referenced for export rather than the original COP command. This will ensure that the exported file reflects the filter set.

COPOPER2=COPOPER/EXPORT,FORMAT=IGES, FILENAME=D:/DATAOUT.IGS,SIZE=0

REF,COPOPER1,


COPOPER/EMPTY

EMPTY: This operation deletes all the data contained in a COP command. Specify the COP command and when executed, PC-DMIS removes the data.

COPOPER10 =COPOPER/EMPTY,SIZE=0

REF,COP2,,


COPOPER/CROSS SECTION

CROSS SECTION: This operation generates a subset of polylines determined by the intersection of a set of parallel planes with the cloud of points. The planes are generated from the specified increment value, the start point, the Normal vector and along the length.

Specify an increment value between planes, the direction of the normal vector, and weather or not the lines are closed. Finally, specify the COP command on which to operate.

COPOPER2 =COPOPER/CROSS SECTION, INCREMENT=10.0, TOLERANCE=0.05, LENGTH = 100

START PT = 0, 0, 0, NORMAL = 1,1,1

REF, COP1,

The Pointcloud Operator dialog box also lets you set these. For INCREMENT, specify the value in the Step box. For LENGTH, specify the value in the Length box. For TOLERANCE, specify the value in the Delta box. For START PT specify the point using START POINT boxes. For NORMAL, specify the vector using the Direction boxes. See “Cross Sections”.


COPOPER/COMPLEMENT

COMPLEMENT: This operation is applied on a COPOPER command. It takes the data that wasn’t selected from the referenced COPOPER command.

For example, if you had 10,000 data points in a COP command, and it was filtered to 3000 points in a COPOPER command. The COPOPER/COMPLEMENT command would take the 7,000 data points that weren’t used in that referenced COPOPER command.

You can use this with selections. If you select with a box, complement lets you determine whether or not you select the data inside the box or outside the box. If you have an entire cloud of points, the complement of it is an empty set. The complement of an empty set, is the entire cloud of points.

COPOPER9 =COPOPER/COMPLEMENT,SIZE=0

REF,COPOPER4,,

The Pointcloud Operator dialog box allows you to select the complement by choosing an Operator Complement and clicking Apply


COPOPER/FACE COLORMAP

FACE COLORMAP: This operation generates a colormap for the data points contained in a COP command compared to a CAD object. The plus and minus tolerances and the initial manual alignment need to be specified. This can be done using the Pointcloud Operator dialog box.

COPOPER6 =COPOPER/FACE COLORMAP,PLUS TOLERANCE=0.300,MINUS TOLERANCE=0.100

REF,COP1,


COPOPER/POINT COLORMAP

POINT COLORMAP: This operation evaluates the deviations of the data points contained in a COP command compared to a CAD object. The deviations can be represented by colored dots, colored needles showing the actual deviations or the numerical value of the deviations. The plus and minus tolerance, the size of the dots, the scale to be used for the needles and the initial manual alignment need to be specified. This can be done using the Pointcloud dialog box.

COPOPER6 = COPOPER/POINT COLORMAP,PLUS TOLERANCE=0.100,MINUS TOLERANCE=-0.100, DOT SIZE=1.000,NEEDLE SCALE=10.000,SHOW DOTS=YES,SHOW LABELS=NO,SHOW NEEDLES=NO,SIZE=0

REF,COP1,

See “Color Map” in the Pointcloud dialog box to set these there.


COPOPER/BOOLEAN

BOOLEAN: This operation is applied on two COPOPER commands referring to the same COP command. Four types are possible:

UNITE – When applied to COPOPER1 and COPOPER2, the UNITE type generates a set of data points containing all the points in COPOPER1 and COPOPER2.

INTERSECT – This type generates the set of data points that have the same locations in COPOPER1 and COPOPER2.

DIFFERENCE – This type removes from COPOPER1 all the points that are in common with COPOPER2.

COMPLEMENT – This type generates the points that are not visible in COPOPER1 and is applied on one single COP or COPOPER command

COPOPER5 =COPOPER/BOOLEAN,UNITE,SIZE=0

REF,COPOPER2,COPOPER3,,


COPOPER/SELECT

SELECT: This operation selects the subset of data contained in a COP command. The parameters of the selection are defined interactively through the Pointcloud dialog box. See “Select”.

Four types of domain are allowed:

BOX

CIRCLE

SPHERE

POLYGON

COPOPER4 =COPOPER/SELECT,BOX,SIZE=27377

REF,COP1,,


COPOPER/RESET

RESET: This operation resets the data referred to in a previous COPOPER command so that the new COPOPER command represents all the data of the referred COP command and not only a subset.

COPOPER7 =COPOPER,RESET,SIZE=0

REF,COPOPER2,,


COPOPER/PURGE

PURGE: This operation is applied to a COPOPER command. It removes from the COP command referenced in the COPOPER all data points that do not belong to the COPOPER command. It is irreversible and affects all other COPOPER commands referring to same COP container.

COPOPER8 =COPOPER,PURGE,SIZE=0

REF,COPOPER1,,


Manipulating Clouds of Points

You can manipulate clouds of points by manually typing the Edit window COP commands into the part program. Or you can manipulate the clouds of points by using the Pointcloud dialog boxes. To access this dialog box, click on any COP command in the edit window and then press F9. You can also use the Main Menu and insert a Pointcloud Feature.

Pointcloud dialog box

The Pointcloud dialog box will only have an effect if the COP command contains data.

The Pointcloud dialog box contains these main areas:

  • ID

  • Size

  • Commands List

  • Point Info

  • Purge / Reset


ID

The ID area contains a unique identity of the pointcloud command being edited.


Size

Total size of the pointcloud.


Commands

Commands List

This area contains the list of features or scans that send data to the COP command in the dialog box.


Point Info

When clicking on a pointcloud point in the graphics window, a dialog box opens with information about the point with respect the alignment. This box contains the Point ID, Point ID Coordinates, estimated normal of the Point ID. The corresponding CAD points are also displayed with CAD coordinates and CAD normal. Finally, the deviation between the Point and CAD is shown with the scale specified in the dialog. Point selection has no associated COPOPER command.


Purge / Reset

The Reset button restores all the data stored in a COP command. The Purge button permanently deletes all the data in a cloud of points that is not currently shown, selected, or filtered. This causes the cloud of points to only keep the visible data.


Manipulating a Pointcloud Operator

You can manipulate a Pointcloud Operator command by manually typing the Edit window COPOPER commands into the part program. Or you can manipulate the Pointcloud Operator by using the Pointcloud Operator dialog boxes. To access this dialog box, click on any COPOPER command in the edit window and then press F9. You can also use the Main Menu and insert a Pointcloud Operator.

Pointcloud Operator dialog box

The Pointcloud Operator dialog box contains these main areas:

  • ID

  • Pointcloud Size

  • COP and COPOPERATOR List

  • Apply / Reset

  • Operator


ID

The ID area contains a unique identity of the pointcloud operator command being edited.


Pointcloud Size

The Pointcloud Size area contains the Total size of the pointcloud operator selected in the list box. The Reduced size and the percentage (%) of reduction in size are also shown.


COPOPERATOR List

COP and COPOPERATOR List

This area contains the list of COP or COPOPERATOR commands that send data to the COPOPERATOR command in the dialog box.


Apply / Reset

The Reset button restores all the data stored in a COP command. The Apply button applies the operator to the COP or COPOPER commands selected.


Operator

The Operator area contains a drop-down list for the selection of the type of operator. Depending on the type of operator selected, more options become available in the dialog box. The following Operator types are available:

  • Filter

  • Select

  • Face Colormap

  • Point Colormap

  • Cross Section

  • Boolean

  • Export

  • Import

  • Purge

  • Reset

  • Empty

  • Complement


FILTER

Pointcloud Operator dialog box - Filter Operator

The FILTER Operator area contains a Type list with the different types of available filters. They are: None, Uniform, Random, or Curvature. If you select None, PC-DMIS does not filter the point data. The other filters are discussed in the topics below.

To filter data:

  1. Select a filter type from the Type list.

  2. Select the Pointcloud command you want to apply the filter to form the list of commands

  3. Specify the number of points or percentage of points to keep after applying the filter in the Reduced or % boxes.

  4. Click the Apply button.

PC-DMIS filters the data and the Graphics Display window shows the result. The size of the filtered data may differ slightly from the value that you specified. It is even more noticeable when the program is executed and the data is collected from scan commands. It is generally impossible to get the same number of points from a laser sensor that is repeatedly scanning the same entity.

  5. If you’re satisfied with the result, push the Create button. PC-DMIS adds a COPOPER/FILTER command to the part program containing all the information regarding the filter that you just applied. See “COPOPER/FILTER”.

Uniform Filter

The Uniform filter generates a subset of points distributed evenly in the X, Y, and Z directions. It will produce the same effect as a regular grid in 2D, but in this case the effect is a 3D grid.

Random Filter

The Random filter generates a subset of points randomly distributed in the pointcloud.

Curvature Filter

The Curvature filter generates a subset of points with the highest estimated curvatures, mainly around edges, vertices, and highly curved areas of the surface.


SELECT

Pointcloud Operator dialog box - Select Operator

The SELECT Operator area contains option buttons for the different types of selection and the ability to select the complement of the selection if needed.

To define a selection type,

  1. Select the desired option button inside the dialog box.

  2. Select the Pointcloud command you want to apply the selection to form the list of commands.

  3. Make the selections that define your selection type by clicking and dragging in the CAD in the Graphics Display window. The axis of the selection entities should be perpendicular to the current view. Use “Table 1” as a guide for what you should select.

  4. Select In if you want to keep the points inside the selection domain and Out if you want to keep the points outside the selection domain

  5. After clicking the necessary points in the Graphics Display Window to define the selection type, click the Apply button. The points inside/outside the selected domain are displayed by PC-DMIS in the Graphics Display window.

  6. When you’re finished, click Create. PC-DMIS will insert a COPOPER/SELECT command. See “COPOPER/SELECT”.

If you want to select the complement data instead, after you click Select, click the Complement button, and then click the Create button. PC-DMIS creates COPOPER/COMPLEMENT command in the Edit window. See “COPOPER/COMPLEMENT”.

Table1
Type | Points Needed
Box | Select two corners
Circle | Select the center and a point specifying the radius of the circle.
Sphere | Click one point. PC-DMIS projects it onto the cloud of points to find the closest point. This represents the center of the selected sphere. Click another point. PC-DMIS uses this second point to determine the radius of the sphere.
Polygon | Select the vertices of the polygon.
Point | Click on the point of the cloud of points you want to select

When selecting a Point, a dialog box opens with information about the point. This box contains the Point ID, Point ID Coordinates, estimated normal of the Point ID. The corresponding CAD points are also displayed with CAD coordinates and CAD normal. Finally, the deviation between the Point and CAD is shown. Point selection has no associated COPOPER command.


FACE COLORMAP

Pointcloud Operator dialog box - Face Colormap Operator

Using the FACE COLORMAP Operator area, you can generate a color map given the values of Tol. Up and Tol, Low. Clicking the Create button will create a COPOPER/FACE COLORMAP command if the last operation performed was a Face Map.

The colors used for the color map are defined in Edit Dimension Color dialog box, which is accessed by clicking Edit | Graphics Display Window | Dimension Color.

This area contains these dialog box items:

Face Map - The CAD model is shaded according to the deviations of the cloud of points compared to CAD using the colors defined in the Edit Dimension Color dialog box and the tolerance limits specified in the Tol. Up and Tol. Down boxes below.

Tol. Up - Upper tolerance value

Tol. Down - Lower Tolerance value

See “COPOPER/FACE COLORMAP”


POINT COLORMAP

Pointcloud Operator dialog box - Point Colormap Operator

Using the POINT COLORMAP Operator area, you can generate a point color map given the values of Tol. Up and Tol, Low and the different options selected below. Clicking the Create button will create a COPOPER/POINT COLORMAP command if the last operation performed was a Point Map

Dots - Colored dots

Size - Size of the dots

Needles - The scaled deviation (using Scale value below) as a colored line segment normal to CAD

Scale - Scale value to be used for the needle representation

Text - The numerical value of the deviation

Tol. Up - Upper tolerance value

Tol. Down - Lower Tolerance value

See “COPOPER/POINT COLORMAP”


Cross Sections

CROSS SECTION

Pointcloud Operator dialog box - Cross Section Operator

This operation generates a subset of polylines determined by the defined intersection of a set of parallel planes with the cloud of points. The set of planes is defined by the start point, the direction vector, the step distance between the planes and the length.

Clicking Create after filling out the boxes below inserts a COPOPER/CROSS SECTION command into the Edit window.

Start Point

It indicates the coordinates of a point belonging to the first plane cutting the pointcloud. It can be defined by the first and second clicks on the graphics window. In the actual Edit window command, the start point value is held in the START PT parameter.

Direction

This value indicates the direction of the normal vector. In the actual Edit window command. It can be defined by the first click on the graphics window, the Direction value is held in the NORMAL parameter.

Step

This value indicates the distance between the planes. In the actual Edit window command, the step value is held in the INCREMENT parameter.

Length

This value indicates the maximum distance between the first and last plane, the length value is held in the LENGTH parameter.

Delta

This value indicates the maximum distance from the plane for a point to be considered part of the cross section. In the actual Edit window command, the Delta value is held in the TOLERANCE parameter.

View

Click View to view the points that PC-DMIS will use to generate the cross sections before generating the polyline. Points in the point cloud that will not be used will be hidden. The usable points are displayed within the Graphics Display window.

See “COPOPER/CROSS SECTION”.


BOOLEAN

Pointcloud Operator dialog box - Boolean Operator

This operation is applied on one or two COPOPER commands referring to the same COP command.

Type

It indicates the type of Boolean operator to apply: INTERSECT, UNITE, DIFFERENCE or COMPLEMENT.

See “COPOPER/BOOLEAN” on page 19.


EXPORT

Pointcloud Operator dialog box - Export Operator

This operation exports the data in a COP or COPOPER command in a specified Format to an external file..

Type

It indicates the type of format in which to export the data. It can be XYZ or IGES type.

Filename

It indicates the filename of the export file.

See “COPOPER/EXPORT”.


IMPORT

This operation imports data from an external file into a COP command in a specified Format. The dialog of this operation is similar to EXPORT.

Type

It indicates the type of format in which data is imported. It can only be of XYZ type.

See “COPOPER/IMPORT”.


PURGE

This operation removes permanently from a COP command all invisible data that was created by a selection, filter … operator.

See “COPOPER/PURGE”.


RESET

This operation has a behavior similar to Undo. It restores all the data stored in a COP command.

See “COPOPER/RESET”.


EMPTY

This operation deletes all the data contained in a COP command.

See “COPOPER/EMPTY”.


COMPLEMENT

This operation hides all data that was shown and brings back all the data that was hidden.

See “COPOPER/COMPLEMENT”.


Aligning Clouds of Points to the CAD

Pointcloud/CAD Alignment dialog box

In order to use the data you’ve collected in your clouds of points properly, you need to create an alignment between the pointclouds and the CAD data with your part model. You can do this using the Pointcloud/CAD Alignment dialog box.

To access this dialog box,

  • From the main menu thorough Display Menu Roadmap Insert | Alignment | New and clicking on Align COP, or

  • Do the following in the Edit Window’s Command mode between the ALIGNMENT/START and the ALIGNMENT/END commands:

  1. Type COPALIGN in the Edit window’s Command mode.

  2. Press TAB to insert the command.

  3. Place your cursor on the COPALIGN command and press F9.

The Pointcloud/CAD alignment dialog box allows you to easily work with COPALIGN commands to correctly align pointclouds with your CAD.

More:

Creating a Pointcloud/CAD Alignment:


Creating a Pointcloud/CAD Alignment:

The first step in the alignment process is to perform a rough alignment to bring the pointcloud close enough to CAD (if not already close) to be able to refine the alignment further if needed. There are three types of refinements: UNIFORM, RANDOM and FACE. The dialog above can be used for the purpose. It contains the following main areas:

  • ID

  • COP

  • Rough Alignment

  • Refined Alignment


ID

The ID area contains a unique identity of the pointcloud alignment command being edited.


COP

The COP area contains a unique identity of the pointcloud command to be aligned.


Rough Alignment

The Rough Alignment area contains buttons for the selection of points on the pointcloud and their corresponding points on CAD. The points are shown in the list boxes: Pointcloud Points and CAD Points. Num. of Pairs defines the number of pairs of points to be selected. The minimum number allowed is 6. The Deviation area shows both the average and maximum deviations between the CAD/pointcloud pair of points after the rough alignment is performed.

To select the rough alignment point pairs:

  1. Specify the number of needed pairs in the Num. of Pairs box.

  2. Select either CAD or Pointcloud points by clicking on the + button and then clicking on the point in the Graphics Display Window that you want to associate to that number. The corresponding Pointcloud or CAD point should be assigned to the same number.

  3. Continue assigning each point in any order until finished. You may want to select the Pointcloud point and then select the corresponding CAD point.

  4. To remove an existing point, select the point’s ID in the list box and click the – button.

  5. To modify an existing point, select the point’s ID in the list box and click the + button and click on the new location in the Graphics Display Window.

  6. Once the selection is finished click on Apply and the best fit transformation between CAD and Pointcloud points is computed and applied to the pointcloud

  7. Undo button will undo the last alignment.

  8. Deviation gives an idea about the quality of the alignment


Refined Alignment

The Refined Alignment area allows for a more refined alignment to occur. This consists of the following items:

  • Type list box - None, Face, Uniform and Random types can be selected.

  • Num. Points box - Defines the number of pairs of CAD/Pointcloud points to be used for the Refined Alignment of Random and Uniform point types. In case Face type is used, this box shows the number of pairs that have been used in this type of alignment. 6 is the minimum number that can be used.

  • Deviation area - This are shows the Average and Maximum deviations between the CAD and Pointcloud pairs after the Refined Alignment is performed.

  • Apply executes the alignment.

  • Undo resets the alignment.

In order to be able to obtain a good Refined Alignment the pointcloud points should be close enough to the CAD points through the initial rough alignment described above.


Creating Auto Features with a Laser Probe

PC-DMIS Laser allows you to create certain auto features with your laser probe. These include:

  • Auto Circle

  • Auto Gap

  • Auto Plane

  • Auto Sphere

  • Auto Slots (Round and Square)

  • Auto Surface Point

  • Auto Edge Point

This topic only discusses auto features as they are used with Laser probe operation. For detailed information on auto features, consult the "Creating Auto Features" section in the main PC-DMIS help file.


Common Laser Auto Feature Dialog Box Options

In PC-DMIS Laser, the Auto Feature dialog box works along side the Probe Toolbox, to create a complete laser auto feature command. To edit an auto feature, you can use the Edit window and modify the command there, or you can change parameters inside the Auto Feature dialog box and the Probe Toolbox. See “Using the Laser Probe Toolbox:” for information on the toolbox.

The following Auto Feature dialog box options are common to all the supported Laser Auto Feature types and are discussed briefly here. Options used for specific auto features are discussed in their respective sections. For additional information, see the "Common Auto Feature Dialog Box Options" topic in the core PC-DMIS help file.

Advanced >>: This button expands the Auto Feature dialog box to show additional, more advanced, auto feature options.

Algorithm: See the "Calculation List" documentation for Auto Features in the main "PC-DMIS Help file".

Auto Wrist: This toggle button will cause the probe orientation to move to a vector that closely corresponds to the surface vector of the Auto Feature.

<< Basic: This button hides the more complex features of the Auto Feature dialog box.

Close: This button closes the Auto Feature dialog box without creating a feature.

Create: This button creates the auto feature and the Auto Feature dialog box remains open.

Feature Type: Select the needed Auto Feature from this drop-down box.

Feature Sub Type: For slots, select the either Round or Square Slot

Find Nearest CAD: When you select an axis (X,Y, or Z) from one of the Center boxes and click this button, PC-DMIS finds the closest CAD element in the Graphics Display window to that axis.

Flip Vector: This button flips the surface normal vector. For example, 0,0,1 would flip to 0,0,-1.

Measure Now: This toggle button determines whether or not PC-DMIS measures the feature when you click Create.

Measure Mode: See the "Mode List" documentation for Auto Features in the main "PC-DMIS Help file".

Move to: This button moves the field of view of the Graphics Display window and centers it on the features XYZ location. If the feature is comprised of more than on point (such as a line), then clicking this button switches between the points making up the feature.

Polar/Cartesian Toggle: This button toggles the display between polar and Cartesian modes.

Point Read From Machine: When you click this button, PC-DMIS uses the XYZ location of the machine for the feature’s XYZ coordinates.

Re-Measure: This toggle button determines whether or not PC-DMIS automatically re-measures the feature a second time once the feature has been measured. It will use the measure values from the first measurement as the target locations for the second measurement.

Relative To: This box lets you set a feature’s coordinates relative to another feature or three other features. Use the … button to display a dialog box that allows you to select the features.

Surface (Vector): The Surface boxes let you set the surface normal vector of the feature.

Test: This button tests the auto feature before PC-DMIS creates it. For laser features, the machine will scan over the feature and calculate the measured value for the feature. It doesn’t display the results, however, because it hasn’t actually created or inserted the feature into the part program.

Use Thickness: This button applies a thickness to a feature.

XYZ Center: These boxes show the feature’s XYZ center location in part coordinates.


Creating and Measuring a Laser Auto Circle

Circle Auto Feature

Click on the above picture for more information about a specific option or parameter.

To create a laser auto circle:

  1. Access the Auto Features dialog box, and select Circle.

  2. Do one of the following:

  1. Perform clicks on the cad to give the circle a location and vector. Then manually enter any remaining information.

  2. Move the machine to the circle location using the Live View tab of the Graphics Display Window. Next, Click the Read Point from Position button. Then manually enter the any remaining information.

  3. Manually enter all of the theoretical x, y, z, i, j, k, diameter, depth, etc.

  3. Enter the necessary information in the Probe Toolbox tabs. You likely want to change information on the Laser Scan, Laser filtering, and Laser Clipping, properties tabs.

  4. Click the Test button if desired. Warning: The machine will now move!

  5. Click the Create button and then Close.

Currently, you can only measure inner circles (holes) with laser probes.

More:

Circle Specific Parameters:

Auto Circle Command Mode Text:

Auto Circle Paths:


Circle Specific Parameters:

Diameter: This box specifies the circle’s diameter. When you select a circle with the mouse in the Graphics Display window, PC-DMIS automatically places the circle’s diameter from the CAD model in this box.

Depth: This parameter controls what data PC-DMIS uses to calculate the feature characteristics. You can use the depth value to eliminate data on a chamfer or some other transitional portion of the feature that you don't want in the feature calculation. Specifying a positive value tells PC-DMIS where along the feature PC-DMIS looks to calculate the feature characteristics.

For example, a depth of 3 indicates that you want to use all data 3 mm (or inches, depending on the units of the part program) and below for the calculation. If you specify 0, this indicates that you want to use all available data for the calculation. For thin walled features, a 0 value may be valid; but for parts with any depth to them, you will probably need to specify a depth to get accurate results.

Even if you specify a depth greater than zero, the measured results are always projected into the plane where the feature resides.


Auto Circle Command Mode Text:

The auto circle command inside the Edit window’s Command Mode looks like this:

CIR1=FEAT/CIRCLE,RECT,IN

THEO/0,0,0,0,0,1,1

ACTL/0,0,0,0,0,1,1

SURFACE/THEO_THICKNESS,0,DEPTH = 0

LASER/CIRCLE

SHOW_LASER_PARAMETERS = YES

SENSOR FREQUENCY = 30,STRIPE OVERLAP = 1,STRIPE_OVERSCAN = 2

SENSOR FILTER = MEDIAN,NEIGHBOR NUMBER = 3

PIXEL LOC. TYPE = FIXED THRESHOLD

TOP CLIP % = 100,BOTTOM CLIP % = 0,LEFT CLIP % = 0,RIGHT CLIP % = 100

ENDLASER/


Auto Circle Paths:

PC-DMIS provides two different paths for a circle. It automatically chooses the appropriate path based on the diameter and the size of the usable portion of the laser stripe. For auto circles, PC-DMIS always scans perpendicular to the direction of the stripe.

Path 1: Smaller Diameter

Circles with a diameter smaller than the usable portion of the stripe

Path 2: Larger Diameter

Circles with a diameter larger than the usable portion of the stripe


Creating and Measuring a Laser Flush and Gap Auto Feature:

Flush and Gap Auto Feature

Click on the above picture for more information about a specific option or parameter.

To measure a Flush and Gap using a laser probe:

  1. Access the Auto Features dialog box, and select Flush & Gap.

  2. Do one of the following:

  1. Click one time on the cad to give the flush & gap a location and vector. Then manually enter the remaining flush, gap, back off distance, etc.

  2. Move the machine to the circle location using the Live View tab of the Graphics Display Window. Next Click the Read Point from Position button. Then manually enter the remaining flush, gap, back off distance, etc.

  3. Manually enter all of the theoretical x, y, z, i, j, k, gap i, j, k, diameter, flush, gap, back off distance, etc.

  3. Enter the necessary information in the Probe Toolbox tabs. You likely want to cycle through the Laser Scan, Laser Filtering, and Laser Clipping, and Live View properties tabs to enter the information.

  4. Click the Test button if desired. Warning: The machine will now move!

  5. Click the Create button and then Close.

More:

Flush and Gap Specific Parameters:

Flush and Gap Command Mode Text:


Flush and Gap Specific Parameters:

For a visual example of these parameters, consult the diagrams below.

Flush: This box determines the height difference between two mating sheet metal parts. Whether or not the flush value is positive or negative depends on whether it’s higher or lower than the “Master” side.

Gap: This box determines the distance (in the same plane) between two mating sheet metal parts.

Dist: The back-off distance determines the location from the gap’s edge at which PC-DMIS measures the flush.

Gap Dir (Vector): These boxes in the Orientation area define the direction of the gap and, subsequently, the direction the laser probe takes to scan the Gap and Flush.

The “Master” side is always to the left of the scan/gap direction.

The direction of the scan is controlled by the specified gap direction and not the direction of the laser stripe.

Direction of scan

The “Master” side is always to the left of the scan/gap direction.


Flush and Gap Command Mode Text:

The Flush and Gap command inside the Edit window’s Command Mode looks like this:

FNG1=FEAT/FLUSHANDGAP,RECT

THEO/0,0,0,0,0,1,0,1,0,0,0

ACTL/0,0,0,0,0,1,0,1,0,0,0

SURFACE/THEO_THICKNESS,0

FLUSH = 0

LASER/FLUSH AND GAP

SHOW_LASER_PARAMETERS = YES

SENSOR FREQUENCY = 30,STRIPE OVERLAP = 1,STRIPE_OVERSCAN = 2

SENSOR FILTER = LONG LINE,TOL ABOVE = 5,TOL BELOW = 5,TOL RIGHT = 5

PIXEL LOC. TYPE = FIXED THRESHOLD

TOP CLIP % = 100,BOTTOM CLIP % = 0,LEFT CLIP % = 0,RIGHT CLIP % = 100

ENDLASER/


Creating and Measuring a Laser Plane Auto Feature:

Plane Auto Feature

Click on the above picture for more information about a specific option or parameter.

To create an auto plane using a laser probe:

  1. Access the Auto Features dialog box, and select Plane.

  2. Do one of the following:

  1. Click on time on the cad to give the plane a location and vector. Then manually enter the remaining width, length, etc.

  2. Move the machine to the center of the plane using the Live View tab of the Graphics Display Window. Next Click the Read Point from Position button. Then manually enter the remaining width, length, etc.

  3. Manually enter all of the theoretical x, y, z, i, j, k, gap i, j, k, diameter, flush, gap, back off distance, etc.

  3. Enter the necessary information in the Probe Toolbox tabs. You likely want to cycle through the Laser Scan, Laser Filtering, and Laser Clipping, properties tabs to enter the information.

  4. Click the Test button if desired. Warning: The machine will now move!

  5. Click the Create button and then Close.

More:

Plane Specific Parameters:

Plane Command Mode Text:

Auto Plane Paths:


Plane Specific Parameters:

Width: The value in this box determines the plane’s width.

Length: The value in this box determines the plane’s length.

Display: This list lets you choose how to present the plane inside the Graphics Display window. You can choose TRIANGLE or OUTLINE. If you choose TRIANGLE, PC-DMIS displays the plane with a triangle symbol at the very center of the plane. If you choose OUTLINE, PC-DMIS displays an outline of the edges of the plane.


Plane Command Mode Text:

The Plane command inside the Edit window’s Command Mode looks like this:

PLN1=FEAT/PLANE,RECT,TRIANGLE

THEO/0,0,0,0,0,1

ACTL/0,0,0,0,0,1

SURFACE/THEO_THICKNESS,0

WIDTH = 1,LENGTH = 1

LASER/PLANE

SHOW_LASER_PARAMETERS = YES

SENSOR FREQUENCY = 30,STRIPE OVERLAP = 1,STRIPE_OVERSCAN = 2

SENSOR FILTER = LONG LINE,TOL ABOVE = 5,TOL BELOW = 5,TOL RIGHT = 5

PIXEL LOC. TYPE = FIXED THRESHOLD

TOP CLIP % = 100,BOTTOM CLIP % = 0,LEFT CLIP % = 0,RIGHT CLIP % = 100

ENDLASER/


Auto Plane Paths:

PC-DMIS provides two different paths for a plane. It automatically chooses the appropriate path based on the diameter and the size of the usable portion of the laser stripe. For auto planes, PC-DMIS always scans perpendicular to the direction of the stripe.

Path 1: Smaller Width

Planes with a width smaller than the usable portion of the stripe

Path 2: Larger Width

Planes with a width larger than the usable portion of the stripe


Creating and Measuring a Laser Slot Auto Feature:

Slot Auto Feature

Click on the above picture for more information about a specific option or parameter.

To measure a square slot with a laser probe:

  1. Access the Auto Features dialog box, and select Slot.

  2. Choose either “Round Slot” or “Square Slot”

  3. Do one of the following:

  1. Collect the x, y, z, I, j, k information by clicking on cad:

For Round Slots:

  1. Click on one of the rounded edges of the slot in the Graphics Display window. PC-DMIS prompts you to Click two more times on the same rounded edge.

  2. Click twice on this edge. PC-DMIS then prompts you to click on the other rounded edge.

  3. Click on the other rounded edge. PC-DMIS prompts you to Click two more times on that same rounded edge.

  4. Click twice on the second rounded edge. PC-DMIS establishes the orientation of the round slot.

For Square Slots:

  1. Click on on of the long edges of the slot in the Graphics Display window. PC-DMIS prompts you to click at another location on the same edge to determine the direction.

  2. Click on a second edge, 90 degrees from the first.

  3. Click on the third edge, 90 degrees from the second. This sets the width.

  4. Click on the fourth edge and final edge. This sets the length

  2. Move the machine to the slot location using the Live View tab of the Graphics Display Window. Next Click the Read Point from Position button. Then manually enter the remaining width, length, etc.

  3. Manually enter all of the theoretical x, y, z, i, j, k, width, length, depth, etc.

  4. Enter the necessary information in the Probe Toolbox tabs. You likely want to cycle through the Laser Scan, Laser Filtering, and Laser Clipping, properties tabs to enter the information.

  5. Click the Test button if desired. Warning: The machine will now move!

  6. Click the Create button and then Close.

More:

Slot Specific Parameters:

Slot Command Mode Text:

Auto Square Slot Paths:

Auto Round Slot Paths:


Slot Specific Parameters:

Round Slot / Square Slot: This list lets you choose whether or not the slot is a Square or Round slot.

Inner/Outer: This list lets you choose whether or not the slot is an Inner slot (a hole) or an Outer slot (a stud).

Width: The value in this box determines the slot’s width.

Length: The value in this box determines the slot’s length.

Depth: This parameter controls what data PC-DMIS uses to calculate the feature characteristics. You can use the depth value to eliminate data on a chamfer or some other transitional portion of the feature that you don't want in the feature calculation. Specifying a positive value tells PC-DMIS where along the feature PC-DMIS looks to calculate the feature characteristics.
For example, a depth of 3 indicates that you want to use all data 3 mm (or inches, depending on the units of the part program) and below for the calculation. If you specify 0, this indicates that you want to use all available data for the calculation. For thin walled features, a 0 value may be valid; but for parts with any depth to them, you will probably need to specify a depth to get accurate results.

Even if you specify a depth greater than zero, PC-DMIS always projects the measured results into the plane where the feature resides.

Slot (Vector): These boxes define the slot’s orientation.


Slot Command Mode Text:

The Slot command inside the Edit window’s Command Mode looks like this:

SLT1=FEAT/SLOT,ROUND SLOT,RECT,IN

THEO/0,0,0,0,0,1,0,1,0,10,20

ACTL/0,0,0,0,0,1,0,1,0,10,20

SURFACE/THEO_THICKNESS,0

DEPTH = 2

LASER/SLOT

SHOW_LASER_PARAMETERS = YES

SENSOR FREQUENCY = 30,STRIPE OVERLAP = 1,STRIPE_OVERSCAN = 2

SENSOR FILTER = NONE

PIXEL LOC. TYPE = FIXED THRESHOLD

TOP CLIP % = 100,BOTTOM CLIP % = 0,LEFT CLIP % = 0,RIGHT CLIP % = 100

ENDLASER


Auto Square Slot Paths:

PC-DMIS must measure Auto Square slots at a 45 degree angle to the slot (see the illustrations below). Depending on the size of the slot, PC-DMIS takes one of these two paths.

Path 1: Small Slot - Measured with a single pass of the laser probe

Small square slots require a single pass of the laser probe’s stripe

Path 2: Large Slot - Measured with multiple passes of the laser probe

Large square slots require multiple passes of the laser probe’s stripe


Auto Round Slot Paths:

Depending on the width of the round slot, PC-DMIS takes one of these paths when performing the measurement:

Path 1: Narrow Width

Round slots with a width less than the usable portion of the stripe

Path 2: Larger Width

Round slots with a width larger than the usable portion of the stripe


Creating and Measuring a Laser Sphere Auto Feature:

Sphere Auto Feature

Click on the above picture for more information about a specific option or parameter.

To measure a sphere with a laser probe:

  1. Access the Auto Features dialog box, and select Sphere.

  2. Choose “In” or “Out” from the Inner/Outer: box..

  3. Do one of the following:

  1. Perform clicks on the cad to give the sphere a location and vector. Then manually enter any remaining information.

  2. Move the machine to the sphere location using the Live View tab of the Graphics Display Window. Next Click the Read Point from Position button. Then manually enter the any remaining information.

  3. Manually enter all of the theoretical x, y, z, i, j, k, diameter, etc.

  4. Enter the necessary information in the Probe Toolbox tabs. You likely want to cycle through the Laser Scan, Laser Filtering, and Laser Clipping, and Live View properties tabs to enter the information.

  5. Click the Test button if desired. Warning: The machine will now move!

  6. Click the Create button and then Close.

More:

Sphere specific parameters:

Sphere Command Mode Text:

Auto Sphere Path:


Sphere specific parameters:

Inner/Outer: This parameter defines whether or not the sphere is an inner sphere (concave) or an outer sphere (convex). Only inner spheres (holes)can be measured at this time.

Diameter: The value in this box defines the sphere’s diameter.


Sphere Command Mode Text:

The Sphere command inside the Edit window’s Command Mode looks like this:

SPH1=FEAT/SPHERE,RECT

THEO/0,0,0,0,0,1,10

ACTL/0,0,0,0,0,1,10

LASER/SPHERE

SHOW_LASER_PARAMETERS = YES

SENSOR FREQUENCY = 30,STRIPE OVERLAP = 1,STRIPE_OVERSCAN = 2

SENSOR FILTER = NONE

PIXEL LOC. TYPE = FIXED THRESHOLD

TOP CLIP % = 100,BOTTOM CLIP % = 0,LEFT CLIP % = 0,RIGHT CLIP % = 100

ENDLASER/


Auto Sphere Path:

The direction of the path will be determined based on the stripe.

Path direction of scan


Creating and Measuring a Laser Surface Point Auto Feature:

Surface Point Auto Feature

Click on the above picture for more information about a specific option or parameter

To measure a square surface point with a laser probe:

  1. Access the Auto Features dialog box, and select Surface Point.

  2. Do one of the following:

  1. Perform clicks on the cad to give the point a location and vector. Then manually enter any remaining.

  2. Move the machine to the point location using the Live View tab of the Graphics Display Window. Next press the Read Point from Position button. Then manually enter the any remaining information.

  3. Manually enter all of the theoretical x, y, z, i, j, k, etc.

  3. Enter the necessary information in the Probe Toolbox tabs. You likely want to cycle through the Laser Scan, Laser Filtering, and Laser Clipping, properties tabs to enter the information.

  4. Click the Test button if desired. Warning: The machine will now move!

  5. Click the Create button and then Close.

More:

Surface Point Command Mode Text:

Auto Surface Point Path:


Surface Point Command Mode Text:

The Surface Point command inside the Edit window’s Command Mode looks like this:

PNT1=FEAT/POINT,RECT

THEO/0,0,0,0,0,1

ACTL/0,0,0,0,0,1

SURFACE/THEO_THICKNESS,0

LASER/SURFACE POINT

SHOW_LASER_PARAMETERS = YES

SENSOR FREQUENCY = 30,STRIPE OVERLAP = 1,STRIPE_OVERSCAN = 2

SENSOR FILTER = NONE

PIXEL LOC. TYPE = FIXED THRESHOLD

TOP CLIP % = 100,BOTTOM CLIP % = 0,LEFT CLIP % = 0,RIGHT CLIP % = 100

ENDLASER/


Auto Surface Point Path:

The direction of the path will be determined based on the stripe.

Path direction of scan for surface point


Creating and Measuring a Laser Edge Point

Creating and Modifying a Laser Edge Point

Edge Point Auto Feature dialog box

Click on the above picture for more information about a specific option or parameter

To measure an edge point with a laser probe:

  1. Access to Auto Features dialog box, and select Edge Point

  2. Do one of the following:

  1. Perform clicks on the cad to give the point a location and vector. Then manually enter any remaining information.

  2. Move the machine to the point location using the Live View tab on the Graphics Display Window. Next press the Read Point from Position button. Then manually enter any remaining information.

  3. Manually enter all of the theoretical x, y, z, I, j, k, etc.

  3. Enter the necessary information in the Probe Toolbox tabs. You likely want to cycle through the Laser Scan, Laser Filtering, and Laser Clipping property tabs to enter the information.

  4. Click the Test button if desired. Warning: The machine will now move!

  5. Click the Create button and then Close.


Edge Point Command Mode Text:

The Edge Point command inside the Edit window’s Command Mode looks like this:

PNT1=FEAT/POINT,RECT

THEO/0,0,0,0,0,1,0,1,0

MEAS/0,0,0,0,0,1,0,1,0

MEASURE MODE/NOMINALS

SURFACE/THEO_THICKNESS,0,EDGE/THEO_THICKNESS,0

RMEAS/NONE,NONE,NONE

AUTO PH9/NO

CIRCULAR/NO

CLEARPLNE/NO

SCREEN CAPTURE/NONE,FEATURE LOCATOR/,

LASER/SURFACE POINT

SHOW_PROBE_PARAMETERS = YES

SENSOR FREQUENCY = 24,OVERLAP = 1,OVERSCAN = 2,EXPOSURE = 15

FILTER = NONE

ENDLASER/


Scanning Your Part Using a Laser Probe

Using a laser probe, PC-DMIS allows an area of measurement to be defined by scanning the surface of the part. When scanning with the Laser probe a group of point data is collected and passed to a reference Point Cloud object already defined in the part program. It is important to understand that when working with point clouds and scans that the scans DON’T contain any data. They only define the machine movement. All data is stored in the Point Cloud object.

The main topics in this section discuss the scanning options available from the Insert | Scan submenu when using a laser probe:

  • Introduction to Performing Advanced Scans

  • Common Functions of the Scan Dialog Box

  • Spline Points

  • Performing a Linear Open Advanced Scan

  • Performing a Patch Advanced Scan

  • Performing a Perimeter Advanced Scan

  • Performing a Freeform Advanced Scan


Introduction to Performing Advanced Scans

Advanced scans are DCC continuous motion scans that follow a predefined path. PC-DMIS follows the predefined path regardless of the shape of the actual part. The path can be defined in several ways explained later.

These advanced scans utilize a laser scanning probe allowing you to automatically digitize surfaces. To perform an advanced scan:

  1. Specify the necessary parameters for your selected DCC scan.

  2. Click the Generate button. PC-DMIS generates the scan.

  3. Once it finishes, click the Create button. The PC-DMIS scanning algorithm then takes control of the measurement process.

The types of advanced scans supported by PC-DMIS include:

  • Linear Open Scan

  • Patch Scan

  • Perimeter Scan

  • Freeform Scan

This help file will first cover the common functions available to the Scan dialog box, the dialog box used to perform these scans, and then how to perform the available advanced scans.


Common Functions of the Scan Dialog Box

Many of the functions described below are common to both DCC and Manual scans. Functionality that relates specifically to one scan mode is appropriately indicated.

Scan dialog box functions:

  • Scan Type

  • Theoretical Points

  • Boundary Points

  • Vectors

  • CAD Controls

  • Generate

  • Undo

  • Read File

  • Manual Points

  • New Line

  • Spline Points


Scan Type

Scan Type list

The Scan Type list allows you to easily change between scan types without closing the dialog box and selecting a different scan type.


Theoretical Points

You can define the Theoretical Points of a scan, through:

  • Reading them from a file

  • Reading machine positions

  • Generating them from the defined boundary points

  • Using CAD data

These topics are discussed in greater detail later in this section.

Theoretical Scan Points area

More:

Editing Theoretical Points

Deleting Theoretical Points


Editing Theoretical Points

To edit theoretical points double click the number of the desired point in the # column.

# Column

This displays the Edit Theo Data dialog box. Use this dialog box to edit the X, Y, Z, I, J, K values. The dialog box’s title bar displays the ID of the point you are editing.

Edit Theo Data dialog boxes depicting Next, Previous, and Flip Vector buttons

You can cycle between the theoretical points by clicking the Next or Previous buttons.

You can also flip the vector for the selected point by clicking the Flip Vector button.


Deleting Theoretical Points

You can easily clear the Theoretical Points list of any of the scan types. Right-click inside the Theoretical Points list. A Reset Theoretical Points prompt appears. Click the prompt to clear any points from the list.


Boundary Points

PC-DMIS lets you define the boundary of a scan by typing the XYZ values for the individual boundary points directly, measuring the points using the laser probe, or using the CAD data.

Boundary Points and Vectors area

Boundary Points are not available or necessary for Free-form scans

You can change the column widths of the Boundary Point list by selecting the right or left edge of a column header with the left mouse button and dragging the edge to the desired size. This information is saved to your PC-DMIS Settings Editor each time they change.

More:

Setting Boundary Points by Typing

Setting Boundary Points Using the Measured Point Method

Setting Boundary Points Using the CAD Data Method

Adding and Deleting Boundary Points

Editing Boundary Points

Clearing Boundary Points


Setting Boundary Points by Typing

To set the boundary of a scan by typing:

  1. Double click the desired boundary point in the ‘#’ column. This will display the Edit Scan Item dialog box.

Edit Scan Item dialog box

  2. Manually edit the X, Y or Z value.

  3. Click the OK button to apply the changes.

The Cancel button disregards any changes that have been made and will close the dialog box.

The Next button accepts the changes and then brings up the next boundary point for editing.


Setting Boundary Points Using the Measured Point Method

Setting Boundary Points Using the Read Position Method

To set the boundary of the scan using measured points,

  1. Place the laser probe at the desired location.

  2. Click the Probe Enable button on the jog box (only available on DEA/B&S machines).

Note: The probe enable light on the jog box will alternate off and on every time that it is pressed. This is not important and has no influence on the probe itself.

This automatically updates the value of the currently selected Boundary point in the Boundary Points and Vectors list. The focus moves to the next boundary point (if there are any in the list). In the case of a PATCH scan, an extra boundary point will be added automatically if the current point is the last point in the list. The PATCH scan will display the last point (this is the same as the previous point). PC-DMIS deletes this last point when you click the OK button.


Setting Boundary Points Using the CAD Data Method

PC-DMIS lets you select the boundary points by using surface CAD data.

When using CAD surface data:

  1. Make sure that you have imported solid CAD data.

  2. Select that the Draw Surfaces icon [image].

  3. Select a boundary point by clicking on the desired location in the Graphics Display window. PC-DMIS highlights the selected surface and automatically updates the value of the currently selected Boundary point. PC-DMIS then moves the focus to the next boundary point (if any are available). For PATCH scans, PC-DMIS automatically adds an extra boundary point if the current point is the last point in the list.


Adding and Deleting Boundary Points

Add / Delete buttons

The Add and Delete buttons allow you to add or delete boundary points to the list of boundary points. There are some restrictions regarding each type of scan. For example, a LINEAROPEN scan only takes a Start Point, a Direction point and an Ending Point. It will not allow you to add more points or delete these points. Refer to each scan for specific restrictions.


Editing Boundary Points

Boundary points can be edited by double clicking the number of the desired point in the ‘#’ column.

# column

This will display the Edit Scan Item dialog box allowing you to edit the X, Y, Z values.

Edit Scan Item dialog box


Clearing Boundary Points

You can easily clear the Boundary Points list of any of the scan types.

  1. Right-click while the cursor is inside the Boundary Points list.

  2. A Reset Boundary Points button appears.

  3. Click this button. It will reset all the boundary points to zero and the number of boundary points will be set to the minimum for each scan type.


Vectors

Boundary Points and Vectors area

The bottom portion of the Boundary Points and Vectors area displays a list of vectors that PC-DMIS will use to start and stop a scan. Some of the vectors listed below may not be found in the list for a specific scan, indicating that they are not used for that scan. Please refer to each scan for more details. You can edit each of these vectors by double-clicking on the vector to edit in the vector column.

Vector column

This will display the Edit Scan Item dialog box:

Edit Scan Item dialog box

Using the different fields, you can edit the I, J, and K values.

  • Clicking the OK button on the Edit Scan Item dialog box will apply any changes that have been made.

  • Clicking the Cancel button will close the Edit Scan Item dialog box without applying any changes.

  • Clicking the Next button cycles through the available vectors in the Initial Vectors list. Some of the initial vectors can be flipped. If so, then the Flip button becomes available on the Edit Scan Item dialog box.

  • Clicking the Flip button allows you to reverse the direction of the selected vector.

More:

Graphical Representation of Vectors

Initial Touch Vector

Cut Plane Vector

End Touch Vector

ID

Measure

Point Cloud Reference Feature


Graphical Representation of Vectors

When setting up the start, direction, and end points of the scan, PC-DMIS allows you to see a graphical representation of the initial touch vector, the direction vector, and the vector that is normal to the boundary plane where the scan will stop.

These vectors are shown as blue, green and orange colored arrows in the Graphical Display area of your part.

Colored arrows showing vectors

Vector | Graphical Representation
Initial Touch | Blue arrow
Direction | Green arrow
Boundary Plane | Orange arrow


Initial Touch Vector

Initial Touch Vector (InitVec)

The values that are displayed in the Initial Touch Vector row indicate the vector PC-DMIS will use to take the first touch in the scanning process.

To edit the I, J, K Initial Touch vector:

  1. Double click on InitVect in the vector column. The Edit Scan Item dialog box appears.

  2. Change the values.

  3. Click the OK button. The dialog box will close.


Cut Plane Vector

Cut Plane Vector (CutVec)

A cut plane is used internally for DCC scanning calculations. This cut plane is derived from the Initial Touch vector, and the vector between the first and last points for the Linear Open DCC scan. Please refer to the individual scans for details on how the Cut Plane vector is derived.


End Touch Vector

End Touch Vector (EndVec)

The End Touch vector is the approach vector of the scan at the end of the row. This is used only to stop the scan or to move to the next row (in the case of a Patch scan).


ID

The ID box displays the ID of the scan to be created.


Measure

If you select the Measure check and click the Create button, PC-DMIS will start measuring the scan immediately. If you don’t select the Measure check box when you click Create, PC-DMIS inserts a scan object into the Edit window that can be measured later. This allows you to set up a series of scans that can be inserted into the Edit window and measured at a later time.


Point Cloud Reference Feature

The Point Cloud Reference Feature defines the Point Cloud object into which PC-DMIS places the surface data. It must supply this field. If not, PC-DMIS cannot create the scan.


CAD Controls

CAD Controls area

The CAD Controls area allows you to specify the CAD surface elements that will be used to define the “Theoretical Points”. In some cases, a scan might start over a certain surface and travel over many other surfaces before completion. In such cases, PC-DMIS does not know which CAD elements are to be used to generate the scan. It must therefore search through every surface in the CAD model. If the CAD model has many surfaces it might take a long time before the scan generation is successful.

To use this functionality to select CAD surfaces, you must have the ability to import and use CAD surface data. Ensure that you select the Draw Surfaces icon or else when you click on the CAD model the nearest wire gets selected instead of the selected surface.

To avoid this delay:

  1. Select the Select check box.

  2. Click on the appropriate surfaces. Once a CAD surface is selected, it will be highlighted in the Graphics Display window. The Status bar will display the number of surfaces that have been selected.

  3. Even though you have selected surfaces, PC-DMIS will still slice all the surfaces with the cut plane and init point to generate the Theoretical Points for the surfaces. If you only want the selected surfaces used in the generation, select the Only Selected option.

If you mistakenly select a surface, click on that surface a second time. This will deselect the surface. Clicking the Deselect button will deselect one surface at a time with each click of the button from a group of highlighted surfaces until all are deselected. Clicking the Deselect All button will deselect all highlighted surfaces at once.

If you don’t select the Select check box, PC-DMIS will assume any clicks on the surface to be Boundary Points.

Select

The Select check box allows you to select CAD surface and wire frame elements that will be used to find the nominal.

Only Selected

The Only Selected check box forces the path generation routines to only use the surfaces that have been selected by the user.

Deselect

The Deselect button removes one highlighted CAD element at a time from a group of CAD elements that are created using the Select check box.


Generate

The Generate button is available only for DCC scans using CAD data.

After the boundary points for a scan has been defined, click the Generate button. PC-DMIS will slice the CAD with the plane defined by the start point and cut vector and then generate the theoretical points from the curve defined by this slice. If the Create button is then clicked, PC-DMIS inserts a scan with nominal hit data will be inserted into the part program.


Undo

The Undo allows you to remove the hits that have been generated using the Generate button as outlined in the Generate topic.


Read File

The Read File button tells PC-DMIS to read the Theoretical points in from a text file. The points must be in X,Y,Z,I,J,K comma delimited format. A blank space between points denotes the start of a new scan line.


Manual Points

By selecting the Manual Points check box, you can manually add points into the Theoretical Points list. These points can be taken by moving the probe to the desired location and Clicking the Probe Enable button on your jog box or by clicking points on the CAD file.


New Line

The New Line check box functions only for Patch Scans. By selecting the New Line check box, you tell PC-DMIS that manual points you take should begin a new line.


Spline Points

When you take manual points the spacing and path are usually inconsistent. With the Spline Points button, however, you can construct a spline curve along a path through a list of manual points and create a smooth, evenly spaced path. For a Linear Open scan PC-DMIS places all the points on the Cut Plane. For a Patch Scan it places the points for each scan line on the Cut Plane for that scan line.

The Spline Points button is not available for a Perimeter scan.

Clicking the Spline Points button displays the Point Interpolation / Approximation dialog box.

Point Interpolation/Approximation

The topics for this dialog box include:

  • Curve Type

  • Calculation Type

  • Weight

  • Point Spacing Type

  • Density/Number of Hits


Curve Type

There are three types of curves that can be constructed with the spline routines:

- Open: This option creates an open ended curve. This means the curve starts in one location and ends in another.

- Closed: This option creates a close ended curve. This means the curve starts and ends in the same location.

- Line: This option differs from the Open or Closed options. It doesn’t use theoretical points but instead uses boundary points and creates straight lines within the boundary points, following the boundary points’ direction rules.


Calculation Type

There are two calculation types you can use in spline routines.

- Approximate: This option allows the path to deviate from the actual input point by a small amount in order to produce a smooth curve from which the new points are taken.

- Interpolate: This option forces the curve to go through each of the input points exactly.


Weight

This list becomes available when you select the Approximate calculation type. When constructing the curve, it allows more weight to be given to points that are further apart. The two choices for the option are YES and NO.


Point Spacing Type

This option allows you to control the output points of the spline routine.

- Density: This option lets you specify the incremental distance between each output point. PC-DMIS determines the number of output points by the length of the curve and the user supplied increment.

- Number of Hits: This option lets you specify how many points they want in the output. No matter the length of the curve, PC-DMIS evenly spaces the user supplied points over the length of the curve.


Density/Number of Hits

These boxes hold the values for the Density or Number of Hits. The Density box appears if you select Density in the Point Spacing Type list. The Number of Hits box appears if you select the Number of Hits item.


Performing a Linear Open Advanced Scan

Scan dialog box — Linear Open scan

The Display Menu Roadmap Insert | Scan | Linear Open method will scan the surface along a line. This procedure uses the starting and ending point for the line, and also includes a direction point for the calculation of the cut plane. The probe will always remain within the cut plane while doing the scan.

Topics for a Linear Open Advanced scan include:

  • To Create a Linear Open Scan

  • Scan Parameters

  • Vectors


To Create a Linear Open Scan

  1. Ensure that you have a Laser probe enabled.

  2. Place PC-DMIS into DCC mode.

  3. Select Display Menu Roadmap Insert | Scan | Linear Open from the submenu. The Scan dialog box appears with Linear Open Scan already selected in the Scan Type list.

  4. If your scan traverses multiple surfaces, consider selecting surfaces as discussed in “CAD Controls”.

  5. If you are going to use the boundary points to help define the scan path, add the 1 point (starting point), the D point (direction to scan), and the 2 point (ending point), to the scan by following an appropriate procedure as discussed in the "Boundary Points” topic.

  6. Make any needed changes to the vectors in the Vectors list. Do this by double-clicking on the vector, and making any changes to the Edit Scan Item dialog box, and then clicking OK to return to the Scan dialog box.

  7. Type the name of the scan in the ID box.

  8. Select the Measure check box if needed.

  9. Set the distance between generated theoretical points in the Increment box.

  10. Select the method for defining the scan path from the Read File, Manual Hits, Generate, and Spline Points options.

  11. If needed, make additional modification to your scan.

  12. Enter the ID of the cloud of points object that will receive the surface data in the Point Cloud Reference Feature edit box.

  13. Click the Create button. PC-DMIS inserts the scan into the Edit window.


Scan Parameters

The Increment box in the Scan Parameters area lets you set the increment distance between the theoretical points when you click the Generate button.


Vectors

Vectors used:

  • Cut Plane (CutVec)

  • Initial Touch (InitVec)

  • End Touch (EndVec)

See "Vectors” under "Common Functions of Scan Dialog Boxes" for additional information.

The Cut Plane vector (CutVec) is the cross product of the Initial Touch vector (InitVec) and the line between the start and end point.


Performing a Patch Advanced Scan

Scan dialog box — Patch scan

The Display Menu Roadmap Insert | Scan | Patch method will scan the surface of the part based on the Scan Parameters. The probe will always remain within the cut plane while doing each scan line. It uses the Increment value to determine the distance between points on each line. When the scan reaches the boundary at the end of a line, the scan will move to the next line by the Increment 2 value and start a new scan line moving in the opposite direction. The following figure describes this process.

Patch scan increment example

Topics for a Patch Advanced scan include:

  • To Create a Patch Scan

  • Patch Scan Parameters

  • Initial Vectors


To Create a Patch Scan

  1. Ensure that you have a Laser probe enabled.

  2. Place PC-DMIS into DCC mode.

  3. Select Display Menu Roadmap Insert | Scan | Patch from the submenu. The Scan dialog box appears with Patch Scan already selected from the Scan Type list.

  4. Set the values for Increment and Increment 2. These determine the spacing of the points if you select the Generate or Spline buttons, or the New Line check box to define the scan. Increment defines the spacing between each point on a scan line and Increment 2 defines the spacing between scan lines.

  5. If your scan traverses multiple surfaces, consider selecting surfaces as discussed in the “CAD Controls” topic.

  6. If you are going to use the boundary points to help define the scan path add the 1 point (starting point), the D point (the direction to begin scanning), the 2 point (the end point of the first line), the 3 point (to generate a minimum area), and, if desired, the 4 point (to form a square or rectangular area). This will select an area that you wish to scan. Pick these points by following an appropriate procedure as discussed in "Boundary Points”.

  7. Make any needed changes to the vectors in the Vectors list. Do this by double-clicking on the vector, and making any changes to the Edit Scan Item dialog box, and then clicking OK to return to the Scan dialog box.

  8. Type the name of the scan in the ID box.

  9. Set the Measure check box if you want to execute the scan and measure it at creation time.

  10. Select the Generate button to generate a preview of the scan on the CAD model in the Graphics Display window. When you generate the scan, PC-DMIS will start the scan at the start point, and will follow the chosen direction until it reaches the boundary point, the scan then moves back and forth scanning in rows along the chosen area, scanning in rows at the specified increment value until it finishes the process.

  11. If needed, make additional modification to your scan.

  12. Enter the ID of the cloud of points object that will receive the surface data in the Point Cloud Reference Feature edit box.

  13. Click the Create button. PC-DMIS inserts the scan into the Edit window.


Patch Scan Parameters

The Increment and Increment 2 boxes described below are available when creating and measuring a Patch scan.

Increment

The Increment allows you to set the increment distance between each point when Generate or Spline/Line is used to define the scan path.

Increment 2

The Increment 2 allows you to set the increment distance between scan lines when Generate or Spline/Line is used to define the scan path.


Initial Vectors

Vectors used:

  • Cut Plane (CutVec)

  • Initial Touch (InitVec)

  • End Touch (EndVec)

The cut plane vector is derived by crossing the Initial Touch vector (InitVect) and the line between the first and second point. The cut plane vector is then set to the correct direction by using the line between the second and third points. The End Touch vector (EndVec) is the vector used to take the second boundary points and is used to jump to the second row after completing the first row.


Performing a Perimeter Advanced Scan

Scan dialog box — Perimeter tab

The Display Menu Roadmap Insert | Scan | Perimeter method will scan the surface of the part abased upon the selected surfaces. This procedure will traverse the selected surfaces within the created boundaries.

Topics for a Perimeter Advanced scan include:

  • To Create a Perimeter Scan

  • Perimeter Scan Parameters


To Create a Perimeter Scan

To create a Perimeter scan:

  1. Ensure that you have a Laser probe enabled.

  2. Place PC-DMIS into DCC mode.

  3. Select Display Menu Roadmap Insert | Scan | Perimeter from the submenu. The Scan dialog box appears with Perimeter Scan already selected from the Scan Type list.

  2. Select the surface(s) that will be used to create the boundary. If multiple surfaces are selected, the surfaces should be selected in the same order that they are to be traversed by the scan. To select the necessary surface(s):

  3. Verify that the Select check box is selected. Each surface will be highlighted as it is selected.

  4. After the desired surfaces are selected, clear the Select check box.

  5. Click on the surface near the boundary where the scan is to begin. This is the Start Point.

  6. Click on the same surface a second time in the direction that the scan will be executed. This is the Direction Point.

  7. Click on the point where the scan is to end. This point is optional. If an End Point is not provided, the scan will end at its Start point.

  8. Type the appropriate values into the Scan Construction area. These include the following boxes:

  • Increment box

  • CAD Tol box

  • Offset box

  • Offset Tol (+/-) box

  9. Select the Calculate Boundary button. This will calculate the boundary from which the scan will be created. The red dots on the boundary indicate where the hits are taken on the perimeter scan.

The boundary calculation should be a relatively quick process.

If the boundary does not look correct, click the Delete button. This will delete the boundary and allow another to be created.

If the boundary appears incorrect, it usually means that the CAD tolerance needs to be increased.

After changing the CAD tolerance, click the Calculate Boundary button to recalculate the boundary.

Verify that the boundary is correct before calculating a perimeter scan because it takes much longer to calculate the scan path than it does to recalculate the boundary.

  10. Verify that the Offset value is correct.

  11. Click the Generate button. PC-DMIS will then calculate the theoretical values that will be used to execute the scan. This process involves a very time intensive algorithm. Depending on the complexity of the selected surfaces and the amount of points that are being calculated, it may take a while to compute the scan path. (A five minute wait is not uncommon.) If the scan does not appear correct, the Undo button can be used to delete the proposed scan path. If needed, the Offset Tolerance can be altered and the scan recalculated.

  12. Enter the ID of the cloud of points object that will receive the surface data in the Point Cloud Reference Feature edit box.

  13. Click the Create button to store the perimeter scan in the Edit window. It will be executed like any other scan.

Four surfaces have been selected. Each surface borders another, but the outside of each surface makes up the composite boundary (indicated by the solid red line) The offset distance is the amount that the scan will be offset from the composite boundary (indicated by the broken red line)

Perimeter Scan Example


Perimeter Scan Parameters

Scan Parameters area

The Scan Parameters area of the dialog box allows various options for constructing a Perimeter Scan. These include:

Increment

The Increment box indicates the distance between each of the hit points on the scan.

CAD Tol

The CAD Tol box is useful in detecting neighboring surfaces. The larger the tolerance, the farther apart the CAD surfaces can be and still be recognized as a neighboring surface.

Offset

The Offset box indicates the distance in from the perimeter where the scan will be created and executed.

Offset + / -

The Offset Tol (+/-) box indicates the amount of allowable deviation from the offset value. It is a user supplied value.

Calculate Boundary

The Calculate Boundary button determines the composite boundary of the input surfaces. The Calculated boundary appears as red dots in the Graphics Display window.

Delete

The Delete button deletes the previously created boundary.


Performing a Freeform Advanced Scan

Scan dialog box — Freeform tab

The Insert | Scan | Freeform method allows the user to define a scan path which is not restricted to follow any particular rule set. The scan path can be defined to move in any direction including crossing back over itself.

Creating a Freeform Scan

  1. Place PC-DMIS into DCC mode.

  2. Select Display Menu Roadmap Insert | Scan | Freeform from the submenu. The Scan dialog box appears with the Freeform tab already selected.

  3. Next the user will need to define the scan path. They can do this by using the Read File option or by the Manual Points method.

  4. Once the Theoretical Points are defined the user can either create the scan or use the Spline Points option to better define the path.

  5. If needed, make additional modification to your scan.

  6. Enter the ID of the cloud of points object that will receive the surface data in the Point Cloud Reference Feature edit box.

  7. Click the Create button. PC-DMIS inserts the scan into the Edit window.


Closed

If you select the Closed check box, generated polylines for cross sections will be closed. This means the starting points and ending points for the lines are the same. If you deselect this check box, the lines will have different starting and ending points.


Curvature Filter

The Curvature filter generates a subset of points with the highest estimated curvatures, mainly around edges, vertices, and highly curved areas of the surface.


Delta

This value indicates the maximum distance from the plane for a point to be considered part of the cross section. In the actual Edit window command, the Delta value is held in the TOLERANCE parameter.


Direction

This value indicates the direction of the normal vector. In the actual Edit window command, the Direction value is held in the NORMAL parameter.


Draw Surfaces icon


Filter

The Filter area contains a Type list with the different types of available filters. They are: None, Uniform, Random, or Curvature. If you select None, PC-DMIS does not filter the point data.

The other filters are discussed in the topics below.

To filter data:

  1. Select a filter type from the Type list.

  2. Specify the number of points or percentage of points to keep after applying the filter in the Reduced or % boxes.

  3. Click the Apply button.

PC-DMIS filters the data and the Graphics Display window shows the result. The size of the filtered data may differ slightly from the value that you specified. It is even more noticeable when the program is executed and the data is collected from scan commands. It is generally impossible to get the same number of points from a laser sensor that is repeatedly scanning the same entity.

  4. If you’re satisfied with the result, push the Create button. PC-DMIS adds a COPOPER/FILTER command to the part program containing all the information regarding the filter that you just applied. See “COPOPER/FILTER”.

More:

Uniform Filter

Random Filter

Curvature Filter


Long Line

This filter is usually only used for measuring spheres and some cylinders.


Metris Probes

Laser Sensor Tab for Metris Probes

To associate your Sensor file with your Machine:

  1. Copy your Sensor calibration files to your hard drive where the other Metris files are located. As a recommendation, you should copy it to the \Program Files\WAI\PC-DMIS V4.0\Metristoolkit.

Your Metris sensor comes with a floppy disk that contains a sensor calibration map (.SCM) file. If the floppy disk contains multiple files, you should copy the file with _API.scm in the name.

  2. Rename the calibration file that you copied to your hard drive. It is important that the first part of the calibration file name and the Sensor file name that will be specified in Step 4 are the same. Rename the calibration file to the PC-DMIS sensor name plus CalMap.scm. For example, if you have an LC sensor with serial number 352-04 you could name it LC-352-04. Thus, the calibration file name should be LC-352-04CalMap.scm.

  3. Use the … button to browse to the location where the calibration map was saved. This path will be displayed in the Sensor files location box. You may also type the fully qualified path to the .SCM file.

  4. Type the name of your sensor in the Available Sensors edit box. Click Add to add it to the list of available sensors. The first part of this name must be the same as the Calibration file name specified in Step 2. In the case that you have a dual arm machine with two sensors, one for each arm, add both sensors to the list.

  5. Click Remove to remove a selected sensor from the Available sensors list box.

  6. Click the Associate button to associate the selected sensor with the current machine. The associated sensor is displayed in the Sensor associated with this machine box.

  7. Once you have completed the setup process, shut down PC-DMIS and restart. This will initialize PC-DMIS with the new settings


Patch Scan

The Patch scan is like a series of Linear Open scans done parallel to each other.


Perceptron Probe

Laser Sensor tab pointing to the binary file for Perceptron probe

Use the … button to browse to the location of the CSGMain.bin binary file in the Sensor Binary File box. This file has the sensor configuration that came with your probe and is installed when you install the toolkit and drivers for the probe.


Pick Direction

PC-DMIS lets you pick the direction of the normal vector by clicking the Pick Direction button and then selecting two points in the Graphics Display window.


Polyline

Click Polyline to generate the polyline of the cross sections.


Probe Readout

Probe Readout icon


Purge / Reset

The Reset button restores all the data stored in a COP command. The Purge button permanently deletes all the data in a cloud of points that is not currently shown, selected, or filtered. This causes the cloud of points to only keep the selected data.


Random Filter

The Random filter generates a subset of points randomly distributed in the pointcloud.


Scans

The Scans area contains the list of scans that send data to the COP command in the dialog box.


Step

This value indicates the distance between the planes. In the actual Edit window command, the step value is held in the INCREMENT parameter.


Sunlight

Unlike other non-contact systems, laser sensors are not generally affected by standard industrial lighting. Laser sensors will work under varied lighting conditions because the sensor’s frequency is tuned to its own laser. Only light that has the same frequency as the laser itself can affect the measurement. Because sunlight contains all frequencies of light, it is important to keep sunlight in the inspection room at a minimum.


Surface Color

Because the laser is light, the surface color also has potential for impact on measurement. In a similar way that black absorbs heat from the sun, black surfaces will absorb the laser light making measurement of black surfaces difficult. Darker colors have more potential for problems. If your part is too dark, you can apply powder coatings to it to make it easier to sample.


Surface Finish

Because tactile probes are larger than the deviation in most surface finish, a tactile probe acts as an averaging filter. When the tactile probe comes in contact with the surface, it gives an average of the highest points on the surface. When using a laser sensor, the light reflects off the surface of the part. How the light reflects, depends a lot on the roughness of the surface, even if it does not appear rough to the human sight or touch.


Surface Reflectivity

Generally, surfaces with a matte finish work better than those with a glossy finish. A glossy surface finish usually has directional reflection. Depending on the angle of the light, you will get too much or too little light. You might even get a ‘hot spot’ (something that looks like a ‘blob’ in the graphics display area). This blob is actually the image of the light source. The reflection of light might add some extraneous points to the scan line, but the rest of the points will not be affected by the reflection. You can compensate for surface reflectivity by spraying the part with an aerosol powder or paint.


Uniform Filter

The Uniform filter generates a subset of points distributed evenly in the X, Y, and Z directions. It will produce the same effect as a regular grid in 2D, but in this case the effect is a 3D grid.


View

Click View to view the points that PC-DMIS will use to generate the cross sections before generating the polyline. Points in the point cloud that will not be used will be hidden. The usable points are displayed within the Graphics Display window.